=== desktop/CMakeLists.txt ===
subdirs( locale )
