=== examples/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8)

project(claw-examples)

subdirs( 
  application
  automaton
  avl
  compress
  config_file
  curve
  dynamic_library
  graph
  game_ai
  image
  iterator
  kmp
  memory
  multi_type_map
  ordered_set
  singleton
  sockets
  string_algorithm
  system
  trie )
