=== debian/changelog ===
libclaw (1.7.3-2) unstable; urgency=medium

  * Team upload.
  * Depend on libpng-dev only -- libpng1.6 transition

 -- Tobias Frost <tobi@debian.org>  Thu, 21 Jan 2016 08:21:58 +0100

libclaw (1.7.3-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename library packages for g++5 ABI transition (closes: 791106).

 -- Julien Cristau <jcristau@debian.org>  Sun, 16 Aug 2015 17:39:09 +0200

libclaw (1.7.3-1) unstable; urgency=low

  * New upstream release.
    + Drop unneeded patches.
  * Build-dep libpng-dev not libpng12-dev. (Closes: #662394).
  * Move to source format 3.0 (quilt).
    + Drop quilt build-dep.
    + Remove file debian/README.source.
  * Bump debhelper build-dep and compat to 9.
  * Add Homepage tag to source package.
  * Update VCS tags.
  * Fix watch file.
  * Bump Standards Version to 3.9.4.

 -- Barry deFreese <bdefreese@debian.org>  Fri, 28 Jun 2013 05:40:33 -0400

libclaw (1.7.0-3) unstable; urgency=low

  * Team upload
  * Fix build failure with GCC 4.7, thanks to Matthias Klose (Closes: #671475)

 -- Dmitrijs Ledkovs <xnox@debian.org>  Sun, 27 May 2012 17:10:02 +0100

libclaw (1.7.0-2) unstable; urgency=low

  * Upload in unstable
  * Add myself in Uploader

 -- Gonéri Le Bouder <goneri@rulezlan.org>  Wed, 14 Sep 2011 16:33:51 +0200

libclaw (1.7.0-1) experimental; urgency=low

  * New upstream release.
  * Add a B-D on libboost-dev
  * Remove debian/claw-config.man.sgml and use the manpage provided with in the
    upstream package.

 -- Julien Jorge <julien.jorge@gamned.org>  Sat, 27 Aug 2011 18:30:24 +0200

libclaw (1.6.1-6) unstable; urgency=low

  [ Julien Jorge ]
  * Add missing include directive for libpng1.5 transition. Thanks to
    Nobuhiro Iwmatsu <iwamatsu@nigauri.org>. (Closes: #635951)
  * Install the CMake module in prefix/share/cmake/libclaw. (Closes: #635980)

 -- Julien Jorge <julien.jorge@gamned.org>  Sun, 21 Aug 2011 16:02:22 +0200

libclaw (1.6.1-5) unstable; urgency=low

  * Team upload.
  * Prepare for libjpeg8 transition. Build-depend on libjpeg-dev instead of
    libjpeg62-dev. Make libclaw-graphic-dev depend on libjpeg-dev instead of
    libjpeg62-dev. (Closes: #629960)
  * Comment out removal of
    $(CURDIR)/debian/tmp/usr/share/doc/libclaw1/html/jquery.js in
    debian/rules as it's apperently not installed there at all and lead to a
    FTBFS.

 -- Bruno "Fuddl" Kleinert <fuddl@debian.org>  Wed, 20 Jul 2011 13:45:24 +0200

libclaw (1.6.1-4) unstable; urgency=low

  [ Julien Jorge ]
  * Add missing #include <cstddef> to use ptrdiff_t and compile with g++ 4.6.
    Thanks Sébastien Debrard (Closes: #625038, #624919) (LP: #770805).
  * Add libjs-jquery to the dependencies of libclaw-doc.
  * Replace the jquery.js file generated by doxygen with a link to the file
    from libjs-jquery 

  [ Gonéri Le Bouder ]
  * Bump standard version to 3.9.2

 -- Julien Jorge <julien.jorge@gamned.org>  Sat, 07 May 2011 20:35:25 +0200

libclaw (1.6.1-3) unstable; urgency=low

  * Upload in sid

 -- Julien Jorge <julien.jorge@gamned.org>  Thu, 23 Dec 2010 20:55:14 +0100

libclaw (1.6.1-2) experimental; urgency=low

  * Set the architecture of libclaw-i18n to all

 -- Julien Jorge <julien.jorge@gamned.org>  Wed, 08 Dec 2010 08:26:56 +0100

libclaw (1.6.1-1) experimental; urgency=low

  * New upstream release (Closes: #565023).
  * claw-config.man.sgml: minor updates
  * Add a B-D on gettext
  * Bump the standard-Version, no changes
  * Add the missing ${misc:Depends} in debian/control

 -- Julien Jorge <julien.jorge@gamned.org>  Tue, 16 Nov 2010 20:37:13 +0200

libclaw (1.5.4-3) unstable; urgency=low

  [ Barry deFreese ]
  * Add myself to uploaders.
  * Bump cmake b-d to >= 2.8.
    + Puts FindCLAW.cmake in version dir, needs a better fix.

 -- Barry deFreese <bdefreese@debian.org>  Sat, 12 Dec 2009 16:15:56 -0500

libclaw (1.5.4-2) unstable; urgency=low

  * Pass -V option to dh_makeshlib.

 -- Julien Jorge <julien_jorge@yahoo.fr>  Tue, 08 Sep 2009 14:18:13 +0200

libclaw (1.5.4-1) unstable; urgency=low

  * New upstream release.
  * Remove patches included by upstream.
  * Change the title of the manpage.
  * Remove the version of the library from debian/rules.
  * Add a command to remove the '-static' part of the static libraries in the
    rule named "build-stamp".
  * Add the paths of new upstream files in debian/libclaw-dev.install.
  * Set Standards-Version: 3.8.3.

 -- Julien Jorge <julien_jorge@yahoo.fr>  Wed, 17 Jun 2009 21:56:57 +0200

libclaw (1.5.2b-2) UNRELEASED; urgency=low

  * Put the Debian Games Team in the Maintainer field
  * Add Vcs-* fields

 -- Eddy Petrișor <eddy.petrisor@gmail.com>  Fri, 22 Aug 2008 02:21:06 +0300

libclaw (1.5.2b-1) unstable; urgency=low

  * Initial release (Closes: #482320)

 -- Julien Jorge <julien_jorge@yahoo.fr>  Sat, 17 May 2008 15:36:57 +0200
