=== debian/control ===
Source: libclaw
Section: devel
Priority: extra
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders: Julien Jorge <julien.jorge@gamned.org>, Barry deFreese <bdefreese@debian.org>,
 Gonéri Le Bouder <goneri@rulezlan.org>
Build-Depends: debhelper (>= 9), docbook-to-man, cmake (>= 2.8),
 libjpeg-dev, libpng-dev, doxygen (>= 1.5),
 gettext (>= 0.17), libboost-dev (>= 1.42)
Standards-Version: 3.9.4
Homepage: http://libclaw.sourceforge.net
Vcs-Svn: svn://anonscm.debian.org/pkg-games/packages/trunk/libclaw/
Vcs-Browser: http://anonscm.debian.org/viewvc/pkg-games/packages/trunk/libclaw/?op=log

Package: libclaw-dev
Section: libdevel
Architecture: any
Depends: ${misc:Depends}
Homepage: http://libclaw.sourceforge.net/
Description: Claw is a generalist C++ library (development files)
 Claw is a C++ Library Absolutely Wonderful bringing various nice
 classes and tools to C++ developers.
 .
 This library tries to be standard compliant and as portable as possible.
 .
 Claw provides:
  - tweener classes for easy interpolation,
  - advanced data structures: automaton, AVL binary search tree,
 graph, tree, ordered set, trie, maps with multiple types as keys,
  - geometric tools (2D): box/rectangle, point, line, vector,
  - image manipulation, reading and writing bitmap, jpeg, targa, png, pcx, xpm
 files
  - network tools: use sockets like any standard stream,
  - text algorithms,
  - min-max/alpha-beta algorithms,
  - developer tools: generic singleton, smart pointers,
 meta-programming concepts, buffered streams,
  - easy read of conf/ini files, easy access to environment variables,
  - manipulation of dynamic libraries,
  - and a lot more...

Package: libclaw-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}, libjs-jquery (>= 1.5)
Homepage: http://libclaw.sourceforge.net/
Description: Claw is a generalist C++ library (documentation files)
 Claw is a C++ Library Absolutely Wonderful bringing various nice
 classes and tools to C++ developers.
 .
 This package contains the HTML documentation of the API and a set of example
 programs.

Package: libclaw-application1v5
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, libclaw-logger1v5 (= ${binary:Version}),
 ${misc:Depends}
Homepage: http://libclaw.sourceforge.net/
Conflicts: libclaw-application1
Replaces: libclaw-application1
Description: Set of classes to ease the initialisation of the program
 Part of the libclaw library.
 .
 This library is intended to help to manage the arguments of your program, with
 automatic management of short/long arguments and help message.

Package: libclaw-application-dev
Section: libdevel
Architecture: any
Depends: libclaw-dev (= ${binary:Version}),
 libclaw-application1v5 (= ${binary:Version}),
 libclaw-logger-dev (= ${binary:Version}),
 ${misc:Depends}
Homepage: http://libclaw.sourceforge.net/
Description: Set of classes to ease the initialisation of the program (development files)
 Part of the libclaw library.
 .
 This library is intended to help to manage the arguments of your program, with
 automatic management of short/long arguments and help message.
 .
 This package contains the development files of the library.

Package: libclaw-configuration-file1v5
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Homepage: http://libclaw.sourceforge.net/
Conflicts: libclaw-configuration-file1
Replaces: libclaw-configuration-file1
Description: Class to process configuration files
 Part of the libclaw library.
 .
 This library is intended to help to read configutation files divided in
 sections made of attribute/value pairs.

Package: libclaw-configuration-file-dev
Section: libdevel
Architecture: any
Depends: libclaw-dev (= ${binary:Version}),
 libclaw-configuration-file1v5 (= ${binary:Version}),
 ${misc:Depends}
Homepage: http://libclaw.sourceforge.net/
Description: Class to process configuration files (development files)
 Part of the libclaw library.
 .
 This library is intended to help to read configutation files divided in
 sections made of attribute/value pairs.
 .
 This package contains the development files of the library.

Package: libclaw-dynamic-library1v5
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Homepage: http://libclaw.sourceforge.net/
Conflicts: libclaw-dynamic-library1
Replaces: libclaw-dynamic-library1
Description: Class to ease the manipulation of dynamic libraries
 Part of the libclaw library.
 .
 This library is intended to ease the use or dynamic libraries: loading,
 checking the availability of a symbol and getting a function pointer on it.

Package: libclaw-dynamic-library-dev
Section: libdevel
Architecture: any
Depends: libclaw-dev (= ${binary:Version}),
 libclaw-dynamic-library1v5 (= ${binary:Version}), ${misc:Depends}
Homepage: http://libclaw.sourceforge.net/
Description: Class to ease the manipulation of dynamic libraries (development files)
 Part of the libclaw library.
 .
 This library is intended to ease the use or dynamic libraries: loading,
 checking the availability of a symbol and getting a function pointer on it.
 .
 This package contains the development files of the library.

Package: libclaw-graphic1v5
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Homepage: http://libclaw.sourceforge.net/
Conflicts: libclaw-graphic1
Replaces: libclaw-graphic1
Description: Set of classes for image manipulation
 Part of the libclaw library.
 .
 This library is intended to offer an easy way to deal with images, with read
 and write support of bmp, jpeg, pcx, png, targa and xbm files, and read only
 support for gif files.

Package: libclaw-graphic-dev
Section: libdevel
Architecture: any
Depends: libclaw-dev (= ${binary:Version}),
 libclaw-graphic1v5 (= ${binary:Version}), libjpeg-dev,
 libpng-dev, ${misc:Depends}
Homepage: http://libclaw.sourceforge.net/
Description: Set of classes for image manipulation (development files)
 Part of the libclaw library.
 .
 This library is intended to offer an easy way to deal with images, with read
 and write support of bmp, jpeg, pcx, png, targa and xbm files, and read only
 support for gif files.
 .
 This package contains the development files of the library.

Package: libclaw-logger1v5
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Homepage: http://libclaw.sourceforge.net/
Conflicts: libclaw-logger1
Replaces: libclaw-logger1
Description: Flexible log system
 Part of the libclaw library.
 .
 This library provides a log system allowing several levels of logging
 and redirectable streams.

Package: libclaw-logger-dev
Section: libdevel
Architecture: any
Depends: libclaw-dev (= ${binary:Version}),
 libclaw-logger1v5 (= ${binary:Version}), ${misc:Depends}
Homepage: http://libclaw.sourceforge.net/
Description: Flexible log system (development files)
 Part of the libclaw library.
 .
 This library provides a log system allowing several level of log and
 redirectable streams.
 .
 This package contains the development files of the library.

Package: libclaw-net1v5
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Homepage: http://libclaw.sourceforge.net/
Conflicts: libclaw-net1
Replaces: libclaw-net1
Description: C++ standard stream interface for Unix sockets
 Part of the libclaw library.
 .
 This library provides C++ classes to utilzed any
 Unix sockets as a standard stream.

Package: libclaw-net-dev
Section: libdevel
Architecture: any
Depends: libclaw-dev (= ${binary:Version}), libclaw-net1v5 (= ${binary:Version}),
 ${misc:Depends}
Homepage: http://libclaw.sourceforge.net/
Description: C++ standard stream interface for Unix sockets (development files)
 Part of the libclaw library.
 .
 This library provides a C++ standard stream interface to Unix sockets.
 .
 This package contains the development files of the library.

Package: libclaw-tween1v5
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Homepage: http://libclaw.sourceforge.net/
Conflicts: libclaw-tween1
Replaces: libclaw-tween1
Description: C++ tweeners
 Part of the libclaw library.
 .
 Tween is a C++ library providing an implementation for tweening.
 .
 This library allows one to interpolate the intermediate values between
 two given values during a time interval. This practice is well used in
 animation and is widely popular in the context of ActionScript/Flash
 games and websites. The goal of this library is to provide similar
 functionalities to C++ programs.

Package: libclaw-tween-dev
Section: libdevel
Architecture: any
Depends: libclaw-dev (= ${binary:Version}), libclaw-tween1v5 (= ${binary:Version}),
 ${misc:Depends}
Homepage: http://libclaw.sourceforge.net/
Description: C++ tweeners (development files)
 Part of the libclaw library.
 .
 This library provides a set of classes for tweeningin C++.
 .
 This package contains the development files of the library.

Package: libclaw-i18n
Section: libs
Architecture: all
Depends: ${misc:Depends}
Homepage: http://libclaw.sourceforge.net/
Description: Internationalisation files for libclaw
 This package provides internationalisation files for libclaw in the following
 languages:
 .
 * French
