=== debian/watch ===
version=3
http://sf.net/libclaw/libclaw-(.*)\.tar\.gz
