## libclaw 1.7.4

=== CMakeLists.txt ===
--- 
+++ 
@@ -10,7 +10,7 @@
 
 set( CLAW_VERSION_MAJOR 1 )
 set( CLAW_VERSION_MINOR 7 )
-set( CLAW_RELEASE_NUMBER 3 )
+set( CLAW_RELEASE_NUMBER 4 )
 
 set( CLAW_VERSION
   ${CLAW_VERSION_MAJOR}.${CLAW_VERSION_MINOR}.${CLAW_RELEASE_NUMBER}
