=== cmake-module/CMakeLists.txt ===
--- 
+++ 
@@ -16,3 +16,22 @@
   FILES ${CLAW_CMAKE_MODULES}
   DESTINATION "${CLAW_CMAKE_MODULES_INSTALL_PATH}" )
 
+#-------------------------------------------------------------------------------
+# version file
+set(
+  CLAW_VERSION_FILE_NAME
+  "${CMAKE_CURRENT_BINARY_DIR}/libclaw-config-version.cmake"
+)
+
+include(CMakePackageConfigHelpers)
+
+write_basic_package_version_file(
+  "${CLAW_VERSION_FILE_NAME}"
+  VERSION "${CLAW_VERSION}"
+  COMPATIBILITY SameMajorVersion
+  )
+
+install(
+  FILES "${CLAW_VERSION_FILE_NAME}"
+  DESTINATION "${CLAW_CMAKE_MODULES_INSTALL_PATH}"
+  )
