=== examples/game_ai/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.6)

project(claw-ia-example)

subdirs(matches morpion_console)
