=== debian/changelog ===
libclaw (1.7.4-4) unstable; urgency=medium

  * Team upload.
  * Build with CMake 4 (Closes: #1113128)

 -- Alexandre Detiste <tchet@debian.org>  Sat, 04 Oct 2025 14:09:55 +0200

libclaw (1.7.4-3) unstable; urgency=medium

  * Team Upload
  * Acknoweledge NMU. Thanks
  * remove retired uploader Gonéri Le Bouder. Thank you for your work.
  * Import on Salsa
  * Apply Multi-Arch: hint
  * Switch to debhelper-compat 13
  * Set Rules-Requires-Root: no

 -- Alexandre Detiste <tchet@debian.org>  Fri, 08 Nov 2024 17:28:32 +0100

libclaw (1.7.4-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.  Closes: #1062251

 -- Benjamin Drung <bdrung@debian.org>  Wed, 28 Feb 2024 10:26:39 +0000

libclaw (1.7.4-2) unstable; urgency=medium

  * Team upload.
  * Add gcc7.patch and fix FTBFS with GCC 7.
  * Switch to compat level 10.
  * Declare compliance with Debian Policy 4.0.1.

 -- Markus Koschany <apo@debian.org>  Thu, 17 Aug 2017 22:11:06 +0200

libclaw (1.7.4-1) unstable; urgency=medium

  * Team upload.
  * Imported Upstream version 1.7.4.
  * Declare compliance with Debian Policy 3.9.8.
  * wrap-and-sort -sa.
  * Vcs-Browser: Use the canonical URI and https.
  * d/control: Remove redundant Homepage fields.
  * Add get-orig-source target.
  * Add boost1.61.patch and work around a FTBFS with Boost 1.61.
  * Add gcc6-ftbfs.patch and fix FTBFS error: cannot convert
    'std::basic_istream<char>' to 'bool' in initialization. (Closes: #811611)
    Thanks to Martin Michlmayr for the report.
  * Fix debian/copyright and point to the LGPL-2.1 license.

 -- Markus Koschany <apo@debian.org>  Sun, 21 Aug 2016 23:17:27 +0200
