=== debian/watch ===
version=4
http://sf.net/libclaw/libclaw-(.*)\.tar\.gz
